# Uses of Class
org.apache.lucene.codecs.FieldsProducer

Packages that use FieldsProducer
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene103.blocktree
BlockTree terms dictionary.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of FieldsProducer in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return FieldsProducer
  Modifier and Type
  Method
  Description
  `abstract FieldsProducer`
  PostingsFormat.`fieldsProducer(SegmentReadState state)`
  Reads a segment.
  `FieldsProducer`
  FieldsProducer.`getMergeInstance()`
  Returns an instance optimized for merging.

- ## Uses of FieldsProducer in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return FieldsProducer
  Modifier and Type
  Method
  Description
  `FieldsProducer`
  Lucene103PostingsFormat.`fieldsProducer(SegmentReadState state)`

- ## Uses of FieldsProducer in org.apache.lucene.codecs.lucene103.blocktree

  Subclasses of FieldsProducer in org.apache.lucene.codecs.lucene103.blocktree
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene103BlockTreeTermsReader`
  A block-based terms index and dictionary that assigns terms to variable length blocks according to how they share prefixes.

- ## Uses of FieldsProducer in org.apache.lucene.codecs.perfield

  Methods in org.apache.lucene.codecs.perfield that return FieldsProducer
  Modifier and Type
  Method
  Description
  `final FieldsProducer`
  PerFieldPostingsFormat.`fieldsProducer(SegmentReadState state)`

- ## Uses of FieldsProducer in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as FieldsProducer
  Modifier and Type
  Field
  Description
  `final FieldsProducer[]`
  MergeState.`fieldsProducers`
  Postings to merge
  Methods in org.apache.lucene.index that return FieldsProducer
  Modifier and Type
  Method
  Description
  `abstract FieldsProducer`
  CodecReader.`getPostingsReader()`
  Expert: retrieve underlying FieldsProducer
  `FieldsProducer`
  FilterCodecReader.`getPostingsReader()`
  `FieldsProducer`
  SegmentReader.`getPostingsReader()`
  `FieldsProducer`
  SortingCodecReader.`getPostingsReader()`
  Constructors in org.apache.lucene.index with parameters of type FieldsProducer
  Modifier
  Constructor
  Description
  ``
  `MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
  Create a new merge instance.